DCMTK - Feature #247

Netzwerkaushandlung bei storescu und storescp erweitern
2006-03-30 00:00 - J6rg Riesmeier

Status: Closed Start date:
Priority: Normal Due date:
Assignee: Jorg Riesmeier % Done:
Category: Application Estimated time:

Target version:
Module: dcmnet Compiler:

Operating System:

100%
0:00 hour

Description

Der storescp bietet momentan keine Moeglichkeit, alle Kombinationen von SOP
Class und Transfer Syntax zu akzeptieren - jedenfalls nicht ohne eine
entsprechende Konfigurationsdatei. Hier koennte man eine neue Option --accept-all
(oder dergleichen) einfuehren, die zusammen mit --write-same genau die vom SCU
vorgeschlagenen Presentation Contexts akzeptiert (z.B. mit der jeweils ersten
angegebenen Transfer Syntax).

JR: Ein solches "--accept-all" fiir den "storescp" gibt es jetzt (2009-02-06).

Der storescu bietet momentan keine Moeglichkeit, nur die fuer den Versand
notwendigen SOP Classes und Transfer Syntaxes vorzuschlagen. Die existierende
Option --required wirkt sich lediglich auf die vorgeschlagenen SOP Classes aus,
nicht aber auf die Transfer Syntaxes.

History

#1 - 2016-11-29 11:28 - J6rg Riesmeier
- Description updated

- Category set to Application

- Status changed from New to Closed

- Assignee set to Jérg Riesmeier

- % Done changed from 0 to 100

Solved with the advent of dcmsend and decmrecv.
